step "the user scans a table QR code" do
  step 'there is a table'
  page.execute_script "App.__container__.lookup('route:application').transitionTo('table','#{@table.id}')"
end

step "another user scans the QR code on the table" do
  step 'there is another signed in user user'
  visit user_root_path
  page.execute_script "App.__container__.lookup('route:application').transitionTo('table','#{@table.id}')"
end

step "I am on the user homepage" do
  step "the user is on the homepage"
end

step "the user is on the homepage" do
  visit user_root_path
end

step "the user should be redirected to the user order overview page" do
  #route_should_be 'user#active_list'
  ember_route_should_be "/active_list"
end

step "the user should be redirected to the archived list path" do
  #route_should_be 'user#history_list'
  sleep 1
  ember_route_should_be "/lists/#{@order.list_id}"
  page.should have_selector ".order-row-#{@order.id}"
end

step 'there is another user' do
  @other_user ||= create :user
end

step "the other user clicks the join table button" do
  find('.join-table-button').click
end
